package com.rms.tfc.dao;

import java.util.List;

import com.rms.tfc.entity.Pedido;

public interface PedidoDao {

	public Long getNextId();
	
	public Long createPedido(Pedido pedido);
	
	public Pedido updatePedido(Pedido pedido);
	
	public Pedido getPedidoById(Long idPedido);
	
	public List<Pedido> getAllPedidos();
	
	public List<Pedido> getAllPedidosByEstado(String estado);
	
	public List<Pedido> getAllPedidosNotInEstado(String estado);
	
	public List<Pedido> getAllPedidosHistorico(String descripcion, String fechaDesde, String fechaHasta);
}